Passer au contenu principal
PATCH
/
conversations
/
v3
/
custom-channels
/
{channelId}
/
channel-accounts
/
{channelAccountId}
Mettre à jour un compte de canal
curl --request PATCH \
  --url https://api.hubapi.com/conversations/v3/custom-channels/{channelId}/channel-accounts/{channelAccountId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "authorized": true,
  "name": "<string>"
}
'
{
  "active": true,
  "archived": true,
  "authorized": true,
  "channelId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "inboxId": "<string>",
  "name": "<string>",
  "archivedAt": "2023-11-07T05:31:56Z",
  "deliveryIdentifier": {
    "type": "CHANNEL_SPECIFIC_OPAQUE_ID",
    "value": "<string>"
  }
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

channelAccountId
integer<int64>
requis
channelId
integer<int32>
requis

Corps

application/json
authorized
boolean
name
string

Réponse

successful operation

active
boolean
requis
archived
boolean
requis
authorized
boolean
requis
channelId
string
requis
createdAt
string<date-time>
requis
id
string
requis
inboxId
string
requis
name
string
requis
archivedAt
string<date-time>
deliveryIdentifier
object
Last modified on April 13, 2026